<template>
  <div class="layout-container" :class="cssClass">
    <h1 class="game-title">Between Light and Shadow</h1>
    <nuxt />
  </div>
</template>

<script>
export default {
  computed: {
    cssClass() {
      const { name: routeName } = this.$route
      return routeName
    }
  }
}
</script>

<style>
html {
  font-family: 'Source Sans Pro', -apple-system, BlinkMacSystemFont, 'Segoe UI',
    Roboto, 'Helvetica Neue', Arial, sans-serif;
  font-size: 16px;
  word-spacing: 1px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
}

body {
  background-color: white;
}

*,
*:before,
*:after {
  box-sizing: border-box;
  margin: 0;
}

.layout-container {
  background-color: white;
  color: black;
  height: 100vh;
  width: 100vw;
}

.game-title {
  padding: 12px;
  text-align: center;
  text-shadow: 0 0 4px white;
}

.btn {
  cursor: pointer;
  font-size: 16px;
  padding: 4px;
  background: #ffffff;
  border: 1px solid #404040;
  border-radius: 4px;
}

.music-button {
  position: absolute;
  right: 32px;
  top: 32px;
}

.music-button:before {
  content: '🎵 ';
}

.music-button:hover {
  background: #f0f0f0;
}
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.5s;
}

.fade-enter,
.fade-leave-to {
  opacity: 0;
}

.page-enter-active,
.page-leave-active {
  transition: opacity 0.4s;
}
.page-enter,
.page-leave-active {
  opacity: 0;
}

.layout-container {
  transition: background-color 1s, color 1s;
}

.shadow-world.layout-container {
  background-color: #321452;
  color: #ffffff;
}

.light-world.layout-container {
  background-color: #f4ffdb;
  color: #604030;
}

.schni_schna_schnu.layout-container {
  background-color: #231238;
  color: #ff0000;
}

/* taken from https://github.com/daneden/animate.css/blob/master/source/specials/rollOut.css */
/* originally authored by Nick Pettit - https://github.com/nickpettit/glide */
@keyframes rollOut {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
    transform: translate3d(100%, 0, 0) rotate3d(0, 0, 1, 120deg);
  }
}

.overlay {
  position: absolute;
  border: 4px double white;
  border-radius: 4px;
  padding: 12px;
  background-color: rgba(0, 0, 0, 0.6);
  color: white;
  font-size: 21px;
  font-weight: bold;
}

.overlay-actions {
  position: absolute;
  bottom: 8px;
  right: 12px;
}

.overlay-actions .btn {
  opacity: 0.9;
}

.overlay-actions .btn:hover,
.overlay-actions .btn:focus {
  opacity: 1;
}

.overlay-actions .btn:focus {
  border: 2px solid turquoise;
  box-shadow: 0 0 4px turquoise;
}
</style>
